Package Gnumed :: Package pycommon :: Module gmMatchProvider |
[frames] | no frames]

# Module gmMatchProvider

source code

Author: K.Hilbert <Karsten.Hilbert@gmx.net>, I.Haywood <ihaywood@gnu.org>, S.J.Tan <sjtan@bigpond.com>

Classes
| cMatchProvider Base class for match providing objects.
| cMatchProvider_FixedList Match provider where all possible options can be held in a reasonably sized, pre-allocated list.
| cMatchProvider_Func Match provider which searches matches in the results of a function call.
| cMatchProvider_SQL2 Match provider which searches matches in possibly several database tables.

Variables
| __doc__ = `"""Base classes for match provide`...``
| default_ignored_chars = `"[?!.'\\(){}\[\]<>~#*$%^_]+"+ '"'`
| default_word_separators = `'[- \t=+&:@]+'`

Imports: sys, logging, regex, pydt, gmPG2

Variables Details

  ### __doc__ Value:
      """Base classes for match providers.

      They are used by business objects to give
      phrasewheels the ability to guess phrases.

      Copyright (C) GNUMed developers
      license: GPL v2 or later
      """